| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
SoNotRec Class Reference
Miscellaneous Classes

The SoNotRec class specifies records for notification lists. More...

`#include <Inventor/misc/SoNotification.h>`

## Public Types

enum | Type { CONTAINER, PARENT, SENSOR, FIELD, ENGINE }

## Public Member Functions

| SoNotRec (SoBase *const notifbase)
void | setType (const SoNotRec::Type type)
SoBase * | getBase (void) const
SoNotRec::Type | getType (void) const
const SoNotRec * | getPrevious (void) const
void | setPrevious (const SoNotRec *const prev)
void | print (FILE *const file) const

## Detailed Description

The SoNotRec class specifies records for notification lists.

See Also
  SoNotification

## Member Enumeration Documentation

enum SoNotRec::Type

This enum is used to specify the type of the notification source within the record.

## Constructor & Destructor Documentation

SoNotRec::SoNotRec | ( | SoBase *const | notifbase) |  |

Constructor. Initializes the record with notifbase pointer.

## Member Function Documentation

void SoNotRec::setType | ( | const SoNotRec::Type | typearg) |  |

Set the type of the notification source of this record.

SoBase * SoNotRec::getBase | ( | void | ) |  | const

Returns the notification source within this record.

SoNotRec::Type SoNotRec::getType | ( | void | ) |  | const

Returns the type of the notification source within this record.

const SoNotRec * SoNotRec::getPrevious | ( | void | ) |  | const

Returns the previous notification source (i.e. the source that the base within this record was auditing).

void SoNotRec::setPrevious | ( | const SoNotRec *const | prevptr) |  |

Set pointer to the previous notification record.

void SoNotRec::print | ( | FILE *const | file) |  | const

Prints debug information.

The documentation for this class was generated from the following files:

- SoNotRec.h
- SoNotRec.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.